Calls
Inspect call detail, events, reports, recordings, live call messages, and transfers.
Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
{
"id": "string",
"call_id": "string",
"resource_uri": "string",
"agent_id": "string",
"status": "string",
"kind": "string",
"room_name": "string",
"language": "string",
"pipeline_config": {},
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"end_reason": "string",
"duration_seconds": 0,
"recording_status": "string",
"recording_duration_ms": 0,
"recording_resource_uri": "string",
"report": {
"session_id": "string",
"organization_id": "string",
"summary": "string",
"outcome": "string",
"contact": "connected",
"end_reason": "string",
"session_created_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0,
"answered": true,
"answered_at": "2019-08-24T14:15:22Z",
"ring_duration_ms": 0,
"sip_code": 0,
"agent_version": 0,
"language": "string",
"language_switches": [
{
"at_ms": 0,
"from": "string",
"to": "string",
"method": "string"
}
],
"dtmf": [
{
"actor": "agent",
"key": "string",
"at_ms": 0
}
],
"speech_detected": true,
"speech_detected_reason": "silence",
"structured_data": {},
"custom_data": {},
"transcript": {
"entries": [
{
"id": "string",
"index": 0,
"source": "user",
"text": "string",
"startedAt": "2019-08-24T14:15:22Z",
"endedAt": "2019-08-24T14:15:22Z",
"provider": "string",
"model": "string",
"metadata": {}
}
]
},
"cost_micro_usd": "string",
"cost_breakdown": [
{}
],
"metadata": {},
"scheduled_callback": {},
"voicemail": {
"detected": true,
"amd_verdict": "string",
"delivery": "delivered",
"amd_confidence": 0,
"amd_decided_at_ms": 0
},
"analysis_status": "heuristic",
"post_call_webhook_status": "string",
"post_call_webhook_attempts": 0,
"post_call_webhook_next_retry_at": "2019-08-24T14:15:22Z",
"post_call_webhook_delivered_at": "2019-08-24T14:15:22Z",
"post_call_webhook_error": "string",
"webhook_deliveries": [
{
"endpointId": "c8d2c7e1-e4b1-4108-9e29-3429a36a1ef3",
"deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"delivered": true,
"status": 0,
"error": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"transfers": [
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}
],
"transcript": {
"entries": [
{
"id": "string",
"index": 0,
"source": "user",
"text": "string",
"started_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"provider": "string",
"model": "string",
"metadata": {}
}
]
},
"span_tree": {}
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
{
"events": [
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"provider": "string",
"event_type": "string",
"status": "string",
"failure_cause": "string",
"sip_status_code": 0,
"sip_status": "string",
"occurred_at": "2019-08-24T14:15:22Z",
"payload": {},
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
{
"session_id": "string",
"organization_id": "string",
"summary": "string",
"outcome": "string",
"contact": "connected",
"end_reason": "string",
"session_created_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0,
"answered": true,
"answered_at": "2019-08-24T14:15:22Z",
"ring_duration_ms": 0,
"sip_code": 0,
"agent_version": 0,
"language": "string",
"language_switches": [
{
"at_ms": 0,
"from": "string",
"to": "string",
"method": "string"
}
],
"dtmf": [
{
"actor": "agent",
"key": "string",
"at_ms": 0
}
],
"speech_detected": true,
"speech_detected_reason": "silence",
"structured_data": {},
"custom_data": {},
"transcript": {
"entries": [
{
"id": "string",
"index": 0,
"source": "user",
"text": "string",
"startedAt": "2019-08-24T14:15:22Z",
"endedAt": "2019-08-24T14:15:22Z",
"provider": "string",
"model": "string",
"metadata": {}
}
]
},
"cost_micro_usd": "string",
"cost_breakdown": [
{}
],
"metadata": {},
"scheduled_callback": {},
"voicemail": {
"detected": true,
"amd_verdict": "string",
"delivery": "delivered",
"amd_confidence": 0,
"amd_decided_at_ms": 0
},
"analysis_status": "heuristic",
"post_call_webhook_status": "string",
"post_call_webhook_attempts": 0,
"post_call_webhook_next_retry_at": "2019-08-24T14:15:22Z",
"post_call_webhook_delivered_at": "2019-08-24T14:15:22Z",
"post_call_webhook_error": "string",
"webhook_deliveries": [
{
"endpointId": "c8d2c7e1-e4b1-4108-9e29-3429a36a1ef3",
"deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"delivered": true,
"status": 0,
"error": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"session_id": "string",
"summary": "string",
"outcome": "string",
"contact": "connected",
"cost_micro_usd": "string",
"webhook": {},
"webhook_deliveries": [
{
"endpointId": "c8d2c7e1-e4b1-4108-9e29-3429a36a1ef3",
"deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"delivered": true,
"status": 0,
"error": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
application/json
application/json
{
"url": "http://example.com",
"expiresAt": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "recording not available",
"code": "RECORDING_NOT_AVAILABLE",
"status": "uploading"
}{
"error": "failed to mint signed URL",
"code": "SIGNED_URL_FAILED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
application/json
{
"ok": true,
"status": "already_ended",
"ended_at": "2019-08-24T14:15:22Z"
}{
"ok": true,
"status": "ending"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Response Body
application/json
application/json
{
"token": "string",
"url": "string",
"identity": "string",
"roomName": "string",
"expiresAt": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"ok": true,
"status": "sent",
"message_id": "string",
"mode": "respond"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"routing_attempts": [
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}
],
"next_transfer": {
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
},
"fallback": {}
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth In: header
Path Parameters
Resource id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"routing_attempts": [
{
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}
],
"next_transfer": {
"id": "string",
"session_id": "string",
"organization_id": "string",
"kind": "blind",
"status": "requested",
"transfer_to": "string",
"from_room_name": "string",
"consultation_room_name": "string",
"caller_participant_identity": "string",
"recipient_participant_identity": "string",
"outbound_trunk_id": "string",
"screening_prompt": "string",
"summary": "string",
"failure_cause": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
},
"fallback": {}
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}